Bug 207797 - Windows Navigation Applet Crashes
Windows Navigation Applet Crashes
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libwnck (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Søren Sandmann Pedersen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-23 07:54 EDT by teamwassily
Modified: 2014-06-18 05:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-12 10:48:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
stack trace (24.34 KB, text/plain)
2006-09-28 12:00 EDT, Søren Sandmann Pedersen
no flags Details

  None (edit)
Description teamwassily 2006-09-23 07:54:51 EDT
Description of problem:
While draggin' the terminal around the cube, a warning popped up saying 'Windows
Navigation Applet Has Crashed'.  The list of programs on the bottom bar is no
longer available.

Version-Release number of selected component (if applicable):
latest as of fc6t3 sept 23 2006

How reproducible:
First time.

Steps to Reproduce:
1.Drag program across workspaces.
2.Let her crash.
3.
  
Actual results:
She crashed.

Expected results:
No crashing.

Additional info:
As this problem occurs again, I'll try to narrow down the causes.  Perhaps
others have seen it?
Comment 1 teamwassily 2006-09-23 08:03:16 EDT
I've narrowed it down!

Steps to Reproduce:
1. Drag a program, not from the wide open screen, but actually from the Windows
Navigation bar at the bottom of the screen.
2. Drag the program from workspace 1 to the next.
3. Then drag the program from the next workspace to the next.  It takes about 2
workspace switches and then Applets start crashing. 

Try it!

This functionality is obviously not available, because if you stop at 1
workspace then all that happens is that the program is not dragged.  It stays
put.  But if you go for 2 workspaces then applets start crashing.  Also, if this
functionality is not available then maybe the drag shouldn't perform like it's
going to function.

but Compix is damn cool.
Comment 2 Søren Sandmann Pedersen 2006-09-28 11:57:54 EDT
This is probably a libwnck problem.

As you say, this can be reproduced by dragging an application from the window
list to the edge of the screen so that the cube starts spinning. If you let the
cube spin twice, then release, the wnck-applet crashes.
Comment 3 Søren Sandmann Pedersen 2006-09-28 12:00:08 EDT
Created attachment 137321 [details]
stack trace
Comment 4 Matthew Miller 2007-04-06 15:47:26 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 5 Matěj Cepl 2007-07-12 10:48:01 EDT
Even after almost three months there has been no activity on these bugs, so we
consider them obsolete and they are being closed as INSUFFICIENT_DATA.

Please, if you are able to reproduce this bug on currently supported (FC6 and
F7) non-test distribution, or if there is any other reason why this bug should
be kept alive, please, reopen, change the product to something more recent and
add an additional information to the comment of such bug.

Thank you very much.

Note You need to log in before you can comment on or make changes to this bug.